spring:
  profiles:
        active: @profile.active@
#    active: dev

server:
  servlet:
        context-path: ${context-path:/hanghui/outapi}
#    context-path: /hanghui/outapi
#    context-path: /hanghui-server-platform
#   开放ap（包含：特殊二维码服务）
#    context-path: /hanghui-openapi

mybatis-plus:
  mapper-locations: classpath:cn/hanghui/outapi/platform/**/mapper/**.xml
  type-aliases-package: cn.hanghui.outapi.platform.**.entity.po
  configuration:
    #    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      update-strategy: ignored
    banner: off # 关闭mybatisplus启动图标
logging:
  file:
    name: ./logs/hanghui_outapi_platform.log
  level:
    com.yixin.review: info
    com.yx.face.dao: error
  logback:
    rollingpolicy:
      max-history: 3
      max-file-size: 50MB